Subject: Re: [PATCH 63/63] powerpc: Add pseries_le_defconfig

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Thu, 08 Aug 2013 21:02:52 +0530

Michael Ellerman <[email-masked]> writes:

> On Wed, Aug 07, 2013 at 09:31:00AM +1000, Michael Neuling wrote:
>> Anton Blanchard <[email-masked]> wrote:
>> 
>> > This is the pseries_defconfig with CONFIG_CPU_LITTLE_ENDIAN enabled
>> > and CONFIG_VIRTUALIZATION disabled (required until we fix some
>> > endian issues in KVM).
>> 
>> The CONFIG_VIRTUALIZATION disabling should be done in the Kconfig not
>> here. 
>> 
>> I'm not that keen on another defconfig.  benh is already talking about
>> having a powernv defconfig.  I'm worried we are going to fragment the
>> defconfigs.  If you want something special like LE, then change the
>> default one.  
>
> I disagree. defconfigs are great because they're easy to add to kisskb
> or other auto builders, making automated build testing easier.
>
> In fact because the defconfigs are pretty much the only thing that
> people build test, if you stray too far from them you are almost
> guaranteed to find breakage. For example the UP build was broken for
> months because we didn't have a defconfig for it.

This is true. My test build for patches mostly include 

for config in "....."
do
   make $config
   ....
done

-aneesh